<?php

namespace Waggybytes\SimplyRemindMe\Library\Localisation;

use Waggybytes\SimplyRemindMe\Library\Models\User;

class DateTimeHandlerConverter
{
    public function __construct(private DateTimeHandler $converter)
    {
    }

    public function toUser(User $user)
    {
        $this->converter->current()->setTimezone($user->timezone->identifier);

        return $this->converter;
    }

    public function toUTC()
    {
        $this->converter->current()->setTimezone('UTC');

        return $this->converter;
    }
}