<?php

namespace Waggybytes\SimplyRemindMe\Library\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Announcement extends Model
{
    use HasFactory;

    protected $casts = [
        'show_banner' => 'boolean',
        'show_popup' => 'boolean'
    ];

    public function users()
    {
        return $this->belongsToMany(User::class, 'user_announcements')->withTimestamps();
    }
}
