<?php

namespace Waggybytes\SimplyRemindMe\Library\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PushNotificationSubscription extends Model
{
    use HasFactory;

    protected $fillable = [
        'subscription_data',
        'user_agent'
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
