<?php

namespace Waggybytes\SimplyRemindMe\Library\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * @property string $php_date_format
 */
class DateFormat extends Model
{
    use HasFactory;

    public static function defaultDateFormat(string $dateFormat)
    {
        $columnName = sprintf('is_%s_format', $dateFormat);
        return DateFormat::where($columnName, true)->first();
    }
}
