<?php

namespace Waggybytes\SimplyRemindMe\Library\Models;

use Illuminate\Database\Eloquent\Model;

class EventTemplate extends Model
{
    protected $casts = [
        'default_date' => 'datetime'
    ];

    protected $fillable = [
        'category', 'name', 'image_url', 'is_active', 'repeat_period'
    ];

    public function templateCategory()
    {
        return $this->belongsTo(TemplateCategory::class);
    }
}