<?php

namespace Waggybytes\SimplyRemindMe\Library\Models;

use Illuminate\Database\Eloquent\Model;

class ReminderHistory extends Model
{
    protected $fillable = ['reminder_id', 'attempted_at', 'attempt_number', 'destination', 'was_successful', 'status', 'sms_credit_cost'];

    public function reminder()
    {
        return $this->belongsTo(Reminder::class);
    }
}
