<?php

namespace Waggybytes\SimplyRemindMe\Library\Models;

use Illuminate\Database\Eloquent\Model;

class ReminderQueue extends Model
{
    protected $casts = [
        'reminder_at' => 'datetime'
    ];

    protected $fillable = ['reminder_id', 'reminder_at'];

    protected $table = 'reminder_queue';

    public function reminder()
    {
        return $this->belongsTo(Reminder::class);
    }
}
