<?php

namespace Waggybytes\SimplyRemindMe\Library\Models;

use Illuminate\Database\Eloquent\Model;

class SmsHistory extends Model
{
    protected $casts = [
        'logged_at' => 'datetime'
    ];

    protected $fillable = ['user_id', 'reminder_id', 'logged_at', 'reason_type', 'current_sms_balance', 'new_sms_balance', 'charge_reference'];

    public function reminder()
    {
        return $this->belongsTo(Reminder::class);
    }

    public function smsPack()
    {
        return $this->belongsTo(SmsPack::class);
    }
}